Bug 1648268 - Drag and Drop from file-roller Does not work on Wayland
Summary: Drag and Drop from file-roller Does not work on Wayland
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: file-roller
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedBlocker
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-09 09:54 UTC by František Zatloukal
Modified: 2019-10-31 19:57 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description František Zatloukal 2018-11-09 09:54:33 UTC
Description of problem:
Drag and drop does work only on Gnome on Xorg session. 

Version-Release number of selected component (if applicable):
file-roller-3.30.1-1.fc29.x86_64
mutter-3.30.1-5.fc29.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Open an archive with file-roller
2. Try drag and drop

Actual results:
Drag and drop does not work on wayland session. It looks like hover is behaving correctly and apps are reacting to hover when dragging, but dropping does not do anything.

Expected results:
Drag and drop should work just fine both on Wayland and Xorg sessions.

Additional info:
Tried this both on Bare metal and VM.

Comment 1 Fedora Blocker Bugs Application 2018-11-09 09:58:17 UTC
Proposed as a Blocker for 30-final by Fedora user frantisekz using the blocker tracking app because:

 All applications that can be launched using the standard graphical mechanism of a release-blocking desktop after a default installation of that desktop must start successfully and withstand a basic functionality test.

Comment 2 Geoffrey Marr 2018-12-17 20:06:17 UTC
Discussed during the 2018-12-17 blocker review meeting: [1]

The decision to delay the classification of this as a blocker bug was made as we don't have a clear consensus on this bug, so if it does not get resolved in the mean time, we'll discuss further and try to reach a clearer consensus at a later meeting.

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2018-12-17/f30-blocker-review.2018-12-17-17.00.txt

Comment 3 Florian Müllner 2019-02-11 18:25:08 UTC
This isn't a new issue, see this upstream bug:

https://bugzilla.gnome.org/show_bug.cgi?id=776635

The gist is that file-roller uses a different protocol than most applications (https://www.freedesktop.org/wiki/Specifications/XDS/), and that is not available on wayland.

Comment 4 František Zatloukal 2019-02-12 14:25:14 UTC
Discussed during the 2019-02-11 blocker review meeting: [1]

The decision to punt (delay decision) was made:

"there still isn't a clear consensus on this (current vote total at +4 / -4) so we will delay once again, and try to ping desktop team for more info and hopefully a fix"

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2019-02-11/f30-blocker-review.2019-02-11-17.13.log.txt

Comment 6 František Zatloukal 2019-02-22 12:06:41 UTC
(In reply to Chris Murphy from comment #5)
> https://lists.fedoraproject.org/archives/list/desktop@lists.fedoraproject.
> org/thread/CU7KVIXQG3OWE45TOKLAX7S4VE73OKVZ/
> 
> Looks like three more not a blocker votes.

Marking as Rejected blocker based on feedback from desktop ml.

Comment 7 Ben Cotton 2019-10-31 19:55:57 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.